Subject: Re: [PATCH net-next 2/3] selftests: openvswitch: Attempt to autoload module.

From: Simon Horman <[email-masked]>
Date: Wed, 3 Jul 2024 17:55:39 +0100

On Tue, Jul 02, 2024 at 09:28:29AM -0400, Aaron Conole wrote:
> Previously, the openvswitch.sh test suites would not attempt to autoload
> the openvswitch module.  The idea was that a user who is manually running
> tests might not even have the OVS module loaded or configured for their
> own development.  However, if the kernel module is configured, and the
> module can be autoloaded then we should just attempt to load it and run
> the tests.  This is especially true in the CI environments, where the CI
> tests should be able to rely on auto loading to get the test suite running.
> 
> Signed-off-by: Aaron Conole <[email-masked]>

Reviewed-by: Simon Horman <[email-masked]>
Tested-by: Simon Horman <[email-masked]>